﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="widgets/Horloge/css/jquery.jdigiclock.css"/>
		<link rel="stylesheet" type="text/css" href="css/Style_Index.css"/>
		<script type="text/javascript" charset="utf-8" src="script/jquery-1.3.2.min.js"></script>
		<script type="text/javascript" charset="utf-8" src="widgets/Horloge/script/clock.js"></script>
		<script type="text/javascript" charset="utf-8" src="widgets/Horloge/script/main.js"></script>
    	<script src="widgets/RGraph/RGraph.common.core.js" ></script>
    	<script src="widgets/RGraph/RGraph.common.dynamic.js" ></script>
    	<script src="widgets/RGraph/RGraph.common.tooltips.js" ></script>
    	<script src="widgets/RGraph/RGraph.drawing.rect.js" ></script>
    	<script src="widgets/RGraph/RGraph.hprogress.js" ></script>
		<script type="text/javascript" charset="utf-8" src="script/DomoMaison_config.js"></script>
        <script type="text/javascript">
			
            // --------------- Variables globales de la page index.php du programme DomoMaison_2017 -------------------------------------------------
			var ipJ = '';											// ip de l'ordinateur appelant
			var wsArdu = '';										// adresse websocket de l'Arduino
			var autorise = false;									// variable pour bloquer les boutons si code non valide
			var graPuis = 0;										//pour affichage sur cadran conso électricité
			var ejpRecu = 'XXXX';									// valeur du signal EJP
    		var puisInst = 0;
			var numT = [10,10,10,10,10,10];							// numéro de la sonde de chaque pièce
			var idT = [20,20,20,20,20,20];							// ID de la sonde de chaque pièce
			var tempT = ['','---','---','---','---','---'];			// température de chaque pièce
			var humiT = ['','---','---','---','---','---'];			// humidité de chaque pièce
			var lienPage;

			// variables pour le calcul des objectifs
			var anneeEnreg = 0;								// Année enregistrée dans le fichier objectif
			var dateJour;									// date du jour
			var anneeCours = 0;								// Année encours
			var comElecHC = 0;								// Relevé du compteur électrique Heures Creuses au 01 janvier de l'année en cours
			var comElecHP = 0;								// Relevé du compteur électrique Heures Pleines au 01 janvier de l'année en cours
			var objElecHC = 0;								// Objectif de consommation électrique en heures creuses pour l'année en cours
			var objElecHP = 0;								// Objectif de consommation électrique en heures pleines pour l'année en cours
			var objConsoHC = 0;								// Objectif de consommation prévue pour les heures creuses
			var objConsoHP = 0;								// Objectif de consommation prévue pour les heures pleines
			var conso = 0;
			var ejp = false;
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
            
			// Fonction d'initialisation de la page
			$(document).ready(function()
			{
				recupIp();
				horloge();
				creGauge();
				testWebSocket();
				initTemp();
				// definiMarge();
			});
			
 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				 ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9 )== '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;										// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;									// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
				wssocket.send("Connexion etablie");
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wssocket.send('(' + IDENT_BOARD + ';' + 'ACCES' + ';' + MOT_PASSE + ')');		//chaine d'envoi de demande d'accès.
					}
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';01)');								// envoi de la page en cours
				wssocket.send('(' + IDENT_BOARD + ';DPARA;01)');										// demande à la centrale d'envoyer les paramètres
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				sessionStorage.removeItem('code_acces');
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
 				var identifiantRecu = 'XXXX';									// identifiant dans la trame reçue du serveur
				var typeRecu = 'XXXXX';											// type d'information reçue du serveur
				var valeurRecue = 'XXX';										// valeur de l'information reçue du serveur
				var rangRecu = 'XX';											// rang signalant le type de données reçues
				var champRecu = 'XXXX';											// champ d'information reçu du serveur
				var chaineRecue = evt.data.substring(1,evt.data.length-1);		// supprime les parenthèses en début et fin de chaine
				var tableau = chaineRecue.split(';');							// extrait les données
				var puisInst = 0;												// puissance instantannée
				var numPiece = 0;												// numéro de la pièce pour les sondes
				var numSonde = 0;												// numéro de la sonde reçue
				var idSonde = 0;												// ID de la sonde reçue
				var trouve = false;
				var temp;
				var compteur = 0;
				window.console.log(evt.data);									// pour DEBUG
				identifiantRecu = tableau[0];
				typeRecu=tableau[1];
				// vérification de l'identifiant de la carte
					if (identifiantRecu == IDENT_BOARD) {
						if (typeRecu == 'REACC') {								// vérification de l'autorisation d'accès
							valeurRecue = tableau[2];
							// test du code d'interdiction d'accès"
							if (valeurRecue == 'INT') {
            					$l("WsAcces").innerHTML = 'Accès interdit...';
								$l("WsAcces").style.backgroundColor = 'red';
								autorise = false;
							}
							else if (valeurRecue == 'AUT') {
            					$l("WsAcces").innerHTML = 'Accès autorisé...';
								$l("WsAcces").style.backgroundColor = 'rgb(228,244,244)';
								autorise=true;
								//wssocket.send('(' + IDENT_BOARD + ';DPARA;01)');										// demande à la centrale d'envoyer les paramètres
							}
						}
						else if (typeRecu == 'INFEL'){							
							rangRecu = tableau[2];
							if (rangRecu == '01') {												// informations électriques (puissance instantannée et signal EJP)
								valeurRecue = tableau[3];
									if (valeurRecue != '***') {
										puisInst = (valeurRecue * 220) / 1000;
										graPuis = puisInst;
									}
									else {
										graPuis = 0;
									}
								ejpRecu = tableau[4];
									if (ejpRecu == "PM..") {
										$l("CouleurEjp").style.backgroundColor  = '0xCC0000';		// Couleur Rouge
										ejp = true;
									}
									else {
										$l("CouleurEjp").style.backgroundColor  = '0x008000';		// Couleur Vert
										ejp = false;
									}
							}
							else if (rangRecu == '02') {										// informations pour l'etablissement de la tendance en consommation électrique
								champRecu = tableau[3];
								valeurRecue = tableau[4];
									if (champRecu == 'HCHC'){
										if (valeurRecue != '***') {
											compteur = parseInt(valeurRecue * 1);
											conso = compteur - comElecHC;
											if (objConsoHC != 0) {
												definiCouleurObjectifHC();
											}
										}
									}
									else if (champRecu == 'HCHP'){
										if (valeurRecue !='***') {
											compteur = parseInt(valeurRecue * 1);
											conso = compteur - comElecHP;
											if (objConsoHP != 0) {
												definiCouleurObjectifHP();
											}
										}
									}
									else if (champRecu == 'EJPHN'){
										if (valeurRecue != '***') {
											compteur = parseInt(valeurRecue * 1);
											conso = compteur - comElecHC;
												if ((!ejp) && (objConsoHC != 0)) {
													definiCouleurObjectifHC();
												}
										}
									}
									else if (champRecu == 'EJPHP'){
										if (valeurRecue != '***') {
											compteur = parseInt(valeurRecue * 1);
											conso = compteur - comElecHP;
												if ((ejp) && (objConsoHP != 0)) {
													definiCouleurObjectifHP();
												}
										}
									}
								
							}
						}
						else if (typeRecu == 'PARAM'){											// paramètres nécessaires pour la page
							rangRecu = tableau[2];
								if (rangRecu == '02') {											// Réception de l'appairage des sondes de température sans fil
									numPiece = parseInt(tableau[3]);							// numéro de la pièce
									numT[numPiece] = tableau[4];								// numéro de la sonde appairée à la pièce
									idT[numPiece] = tableau[5];									// ID de la sonde de la pièce
								}
								else if (rangRecu == '03') {									// Réception des objectifs électriques
									chargeObjectifElec(chaineRecue);
								}
						}
						else if (typeRecu == 'SONTE'){											// Réception des mesures d'une sonde de température
							var numSonde = tableau[2];											// numéro de la sonde reçue
							var idSonde = tableau[3];											// ID de la sonde reçue
								for (var i=1; i<6; i++)
								{
									if ((numSonde == numT[i]) && (idSonde == idT[i])) {			// sonde appairée
										tempT[i] = tableau[4];									// Température de la pièce
										temp = (tempT[i]/10).toFixed(1);
										humiT[i] = tableau[5];									// humidité de la pièce
										$l("Temp"+i).innerHTML = temp;
											if (humiT[i] == 0) {
												$l("Hum"+i).innerHTML = '---';
											}
											else {
												$l("Hum"+i).innerHTML = humiT[i];
											}
										trouve = true;
										break;
									}
								}
						}
					}
			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
            	$l("WsConnect").innerHTML = 'ERROR: ' + evt.data;
				sessionStorage.removeItem('code_acces');
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// Fonction d'affichage d'une horloge avec météo
			function horloge()
			{
				$e=$('#digiClock');
				// var city="615702";				// pour Paris
				var city="581281"					// pour Bourlon
				init(city, {lang:'fr', unit: 'c', country: false, type: 5, clock:"24h", update: 15});
			}
			
			// Fonction de définition des marges pour le centrage de la page
			function definiMarge() {
				var largEcran = screen.width;
				var largGauche = (largEcran - 306) / 2
				$l("HautGauche").style.width = largGauche + "px";
				$l("HautDroit").style.width = largGauche + "px";
 			}
			
			// Fonction d'affichage de la puissance électrique instantanée sous forme de barre graphe
			function creGauge()
			{
            	hprogress = new RGraph.HProgress({
                	id: 'gauge_elec',
                	min: 0,
                	max: 12,
               	 	value: 0,
                	options: {
						colors: ['black'],
						title: {
							self: 'Conso. instantanée (en Kwatts)'},
                   	 	margin: 15
                	}
            	}).grow();
            	var coords = hprogress.coords[0];
           		var x = hprogress.getXCoord(2.7);
				var z = x;
           		// Create the rect object that covers the lower part
            	var rect = new RGraph.Drawing.Rect({
                	id: 'gauge_elec',
                	x: hprogress.gutterLeft,
                	y: hprogress.gutterTop + 5,
                	width: x - hprogress.gutterLeft,
                	height: hprogress.canvas.height - hprogress.gutterTop - hprogress.gutterBottom - 10,
                	options: {
                    	fillstyle: 'rgba(0,255,0,0.5)'
                	}
            	}).draw()
				x = hprogress.getXCoord(6);
           		// Create the rect object that indicates the target
            	var rect = new RGraph.Drawing.Rect({
                	id: 'gauge_elec',
                	x: z - 1,
                	y: hprogress.gutterTop + 5,
                	width: x - z,
                	height: hprogress.canvas.height - hprogress.gutterTop - hprogress.gutterBottom - 10,
                	options: {
                    	fillstyle: 'rgba(255,255,0,0.5)',
                	}
            	}).draw()
            	x = hprogress.getXCoord(12);
				z = hprogress.getXCoord(6);
            	var rect = new RGraph.Drawing.Rect({
                	id: 'gauge_elec',
	            	x: z - 1,
                	y: hprogress.gutterTop + 5,
					width: x - z,
                	height: hprogress.canvas.height - hprogress.gutterTop - hprogress.gutterBottom - 10,
                	options: {
                    	fillstyle: 'rgba(255,0,0,0.5)',
                	}
            	}).draw()
			}
    		
			// Fonction de mise à jour du barre graphe.
			setInterval(function()
			{
                hprogress.value = graPuis;
                hprogress.grow()
				}, 1000);

			// Fonction de chargement des données pour affichage de la tendance de consommation électrique
			function chargeObjectifElec(chaineObj)
			{
				var tempInt = 0;
				var tempReste = 0;
				
				var tableau = chaineObj.split(';');
				anneeEnreg = tableau[3];										// Année enregistrée dans le fichier objectif
				tempInt = parseInt(tableau[4]);
				tempReste = parseInt(tableau[5]);
				comElecHC = ((tempInt * 1000) + tempReste) * 1000;				// Relevé du compteur électrique Heures Creuses au 01 janvier de l'année en cours (en Watts)
				tempInt = parseInt(tableau[6]);
				tempReste = parseInt(tableau[7]);
				comElecHP = ((tempInt * 1000) + tempReste) * 1000;				// Relevé du compteur électrique Heures Pleines au 01 janvier de l'année en cours (en Watts)
				objElecHC = parseInt(tableau[9]) * 1000;						// Objectif de consommation électrique en heures creuses pour l'année en cours (en Watts)
				nbreJoursEJP = parseInt(tableau[8]);							// Nombre de jours EJP déjà écoulés
				objElecHP = parseInt(tableau[10]) * 1000;						// Objectif de consommation électrique en heures pleines pour l'année en cours (en Watts)
				// Calcul du pourcentage de consommation pour l'objectif
				var mois = dateJour.getMonth();
				var jour = dateJour.getDate();
				var pourcen = 0;
				var pourcenMois = 0;
					for (i = 0; i < mois; i++) {
						pourcen = pourcen + POURCEN_ELEC[i];
					}
				pourcenMois = (POURCEN_ELEC[mois] / 30) * jour;
				pourcen = pourcen + pourcenMois;
				objConsoHC = parseInt((objElecHC / 100) * pourcen);
					if (anneeCours != anneeEnreg) {
						alert("Objectifs non initialisés")
					}
				objConsoHP = parseInt((objElecHP / 22) * nbreJoursEJP);
			}
			
			// Fonction définissant la couleur pour l'affichage de la tendance de la consommation électrique en heures creuses
			function definiCouleurObjectifHC()
			{
				var ecart = conso - objConsoHC;
					if (ecart > 0) {
						$l('CouleurTd').innerHTML = "+" + ecart;
					}
					else {
						$l('CouleurTd').innerHTML = ecart;
					}
				if (ecart <= 0) {
					$l('CouleurTd').style.backgroundColor = 'green';														// Couleur Vert
				}
				else if ((ecart > 0) && (ecart <= DEPASS_ELEC_JAUNE_HC)) {
					$l('CouleurTd').style.backgroundColor = 'yellow';														// Couleur Jaune
				}
				else if ((ecart > DEPASS_ELEC_JAUNE_HC) && (ecart <= DEPASS_ELEC_ORANGE_HC)) {
					$l('CouleurTd').style.backgroundColor = 'Orange';														// Couleur Orange
				}
				else if (ecart > DEPASS_ELEC_ORANGE_HC) {
					$l('CouleurTd').style.backgroundColor = 'Red';															// Couleur Rouge
				}
			}
			
			// Fonction définissant la couleur pour l'affichage de la tendance de la consommation électrique en heures pleines ou EJP
			function definiCouleurObjectifHP()
			{
				var ecart = conso - objConsoHP;
					if (ecart > 0) {
						$l('CouleurTd').innerHTML = "+" + ecart;
					}
					else {
						$l('CouleurTd').innerHTML = ecart;
					}
					if (ecart <= 0) {
						$l('CouleurTd').style.backgroundColor = 'Green';														// Couleur Vert
					}
					else if ((ecart > 0) && (ecart <= DEPASS_ELEC_JAUNE_HP)) {
						$l('CouleurTd').style.backgroundColor = 'Yellow';														// Couleur Jaune
					}
					else if ((ecart > DEPASS_ELEC_JAUNE_HP) && (ecart <= DEPASS_ELEC_ORANGE_HP)) {
						$l('CouleurTd').style.backgroundColor = 'Orange';														// Couleur Orange
					}
					else if (ecart > DEPASS_ELEC_ORANGE_HP) {
						$l('CouleurTd').style.backgroundColor = 'Red';															// Couleur Rouge
					}
			}
			// Fonction d'initialisation des libellés du tableau des températures
			function initTemp()
			{
				for (var i=1; i<6 ;i++)
				{
					$l("TextTemp"+i).innerHTML = LIBELLE_PIECE[i];
					$l("Temp"+i).innerHTML = tempT[i];
					$l("Hum"+i).innerHTML = humiT[i];
				}
				dateJour = new Date();
				anneeCours = dateJour.getFullYear();							// Année en cours
				$l("TitreTendance").innerHTML = "Tendance pour l'année " + anneeCours;
			}
			
			// Fonction de traitement d'envoi de demande de début et fin d'accès.
    		function doSend(message)
			{
				if (message == 'demande_acces'){
					wssocket.send('(' + IDENT_BOARD + ';' + 'ACCES' + ';' + sessionStorage.getItem('code_acces') + ')');	//chaine d'envoi de demande d'accès.	
					wssocket.send('(' + IDENT_BOARD + ';DPARA;01)');										// demande à la centrale d'envoyer les paramètres
				}
				if (message == 'fin_acces'){
					wssocket.send('(' + IDENT_BOARD + ';' + 'ACCES' + ';' + '    ' + ')');									//chaine d'envoi de fin d'accès.	
				}
			}
			
    		// Fonction de traitement de la demande d'accès.   
    		function fcode_acces()
			{
				sessionStorage.setItem('code_acces',$l("CodeAcces").value.toString());
				doSend('demande_acces');
				$("#CodeAcces").val('????');
		    }

			// Fonction d'annulation du code d'accès
			function fannulation()
			{
				$("#CodeAcces").val('????');
			}
    
			// Fonction de signalisation de la fin de session à la centrale domotique
			function ffin_acces()
			{
				doSend('fin_acces');
				sessionStorage.removeItem('code_acces');
    		}
	
			//Fonction temporisée d'affichage de page après deconnexion du websocket.
			function lienpageweb(page, numP)
			{
				if (autorise == true) {
					wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
					onClose();
					lienPage = page;
					setTimeout("golien()", TIMER_PAGE);
				}
    		}
			
    		// Fonction d'ouverture de la page demandée
			function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); 	// fonction '$' recherche l'element html par son 'id'
			}
			
	// --------------------------------------------- Fin javascript ---------------------------------------------------------------------------------
	</script>
	</head>
	<body>
		<div id="BandHaut">
        	<div id="HautGauche">
            	<div id="TitreGauche">TEMPERATURES</div>
                <div id="DivTemp">
                	<table id="TabTemp">
                		<tr>
                    		<th>Pièces</th>
                        	<th>T° en °C</th>
							<th>Hu en %</th>
                    	</tr>
                		<tr>
                    		<td><div id="TextTemp1"></div></td>
                        	<td><div id="Temp1"></div></td>
                        	<td><div id="Hum1"></div></td>
                    	</tr>
                		<tr>
                    		<td><div id="TextTemp2"></div></td>
                        	<td><div id="Temp2"></div></td>
                        	<td><div id="Hum2"></div></td>
                    	</tr>
                		<tr>
                    		<td><div id="TextTemp3"></div></td>
                        	<td><div id="Temp3"></div></td>
                        	<td><div id="Hum3"></div></td>
                    	</tr>
                		<tr>
                    		<td><div id="TextTemp4"></div></td>
                        	<td><div id="Temp4"></div></td>
                        	<td><div id="Hum4"></div></td>
                   	</tr>
                		<tr>
                    		<td><div id="TextTemp5"></div></td>
                        	<td><div id="Temp5"></div></td>
                        	<td><div id="Hum5"></div></td>
                   	</tr>
                	</table>
               	</div>
			</div>
            <div id="DigiClock">
				<div id="PluginContainer">
					<div id="digital_container">
						<div id="clock"></div>
						<div id="weather"></div>
					</div>
				</div>
			</div>
            <div id="HautDroit">
            	<div id="TitreDroit">ELECTRICITE</div>
                <br />
    			<div id="DivGauge">
					<canvas id="gauge_elec" width="300" height="100">[No canvas support]</canvas>
				</div>
                <div id="DivEjp">
                	<table id="TabEjp">
                		<tr>
                    		<td>EJP</td>
						<tr>
						<tr>
                        	<td id="CouleurEjp"></td>
                    	</tr>
                	</table>
               	</div>
                <div id="DivTendance">
                	<table id="TabTendance">
                		<tr>
                    		<td id="TitreTendance">Tendance pour l'année :</td>
                        	<td id="CouleurTd"></td>
                    	</tr>
                	</table>
               	</div>
            </div>
        </div>
		<div class="GroupeBoutons">
			<a target="_blank" onclick='lienpageweb("Page_Volets.php","02")'><img class="Bouton" src="Images/Bouton_Volet.png" alt="Bouton Volets" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Portail.php","03")'><img class="Bouton" src="Images/Bouton_Portail.png" alt="Bouton Portail" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Garage.php","04")'><img class="Bouton" src="Images/Bouton_Garage.png" alt="Bouton Porte garage" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Chauffage.php","05")'><img class="Bouton" src="Images/Bouton_Chauffage.png" alt="Bouton Chauffage" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Commande.php","06")'><img class="Bouton" src="Images/Bouton_Lampes.png" alt="Bouton Lampes" /></a>
		</div>
		<div class="GroupeBoutons">
			<a target="_blank" onclick='lienpageweb("Page_Alarme.php","07")'><img class="Bouton" src="Images/Bouton_Alarme.png" alt="Bouton Alarme" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Electricite.php","08")'><img class="Bouton" src="Images/Bouton_Electricite.png" alt="Bouton Electricité" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Incendie.php","09")'><img class="Bouton" src="Images/Bouton_Incendie.png" alt="Bouton Incendie" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Eau.php","10")'><img class="Bouton" src="Images/Bouton_Eau.png" alt="Bouton Eau" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Parametres.php","11")'><img class="Bouton" src="Images/Bouton_Param.png" alt="Bouton Param" /></a>
		</div>
        <p></p>
		<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        <div>
        	<table id="TabStatus">
        		<tbody><tr>
            		<td>Status Connexion :</td>
               	  	<td><div id="WsConnect">Déconnecté...</div></td>
               	  	<td><div id="WsAcces">Accès non autorisé</div></td>
                    <td><input id="InitCon" value="Re-init connexion" onclick="testWebSocket()" type="button" /> </td>
            	</tr></tbody>
       		</table>
            <br />
        <!--Tableau du code d'accès pour connexion -->
        	<table id="TabAcces">
            	<tbody><tr>
                	<td>Code d'accès :</td>
                    <td><input id="CodeAcces" value="????" size="4" maxlength= "4" type="text" /></td>
                    <td><input id="ValidationCode" value="Valider" onclick="fcode_acces()" type="button" /></td>
                    <td><input id="AnnulationCode" value="Annuler" onclick="fannulation()" type="button" /></td>
                    <td><input id="FinAutorisation" value="Fin session" onclick="ffin_acces()" type="button" /></td>
             	</tr></tbody>
         	</table>
        </div>
	</body>
</html>