<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Tab_Jour.css" />
		<script type="text/javascript" charset="utf-8" src="script/jquery.min.js"></script>
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">

            // --------------- Variables globales de la Page_Tableau_Jour.php du programme DomoMaison_2017 ------------------------------------------------
			var ipJ = '';												// ip de l'ordinateur appelant
			var wsArdu = '';											// adresse websocket de l'Arduino
			var lienPage;
			var annee_demande;
			var mois_demande;
			var pointeur_jour;
			var valeurs_jour;
			var valeur_nb_jour;
			var tabtab = new Array(new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10), new Array(10));
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
				testWebSocket();
				initLibelles();
				ajouterLigne();
            }
			
 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;			// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;		// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
                wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';13)');		// envoi de la page en cours
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{  
				var identifiantRecu = 'XXXX'; 								//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XX';										//type d'information reçue du serveur.
				var pointeur;
				var chaineRecue = evt.data.substring(1, evt.data.length-1);
				window.console.log(chaineRecue);							// POUR DEBUG
				var tableau = chaineRecue.split(';');
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
				//Vérification de l'identifiant de la carte.
					if (identifiantRecu == IDENT_BOARD){
						// Test du type d'informations reçues.
						// Test du code fichier inexistant.
						if (typeRecu == 'NFIJO'){ 
								alert("Fichier inexistant");
						}
						//Test du type trame d'informations journalières.
						else if (typeRecu == 'TRAJO'){
								//stockage dans le localstorage du nombre de jour.
								valeur_nb_jour =1 + (1*sessionStorage.getItem('nb_jour'));
								sessionStorage.setItem('nb_jour',valeur_nb_jour.toString());
								//stockage dans le localstorage de chaque trame reçue avec une clé.
								pointeur_jour = 'j' + valeur_nb_jour;
								valeurs_jour = chaineRecue.substr(11,83);
								sessionStorage.setItem(pointeur_jour,valeurs_jour);
						}
						//Test du type trame de fin des informations journalières.
						else if (typeRecu == 'FINJO'){
							//récupération du nombre de jour renseigné
							var n = sessionStorage.getItem('nb_jour');
							//création de la zone table
								for (var k = 1; k <=n ;k++){
									//calcul du pointeur
									pointeur_jour = 'j' + k;
									var chaine_inter = sessionStorage.getItem(pointeur_jour);
									var elem = chaine_inter.split(';');
										for (var z=0; z<10; z++){
											//conversion des températures en degré Celsius.
											if ((z == 5)||(z == 6)){
												tabtab[k][z] = (elem[z]*0.1).toFixed(1);		//pour récupérer 1 decimale.
											}
											else if ((z == 7)||(z == 8)){
												tabtab[k][z]= (elem[z]*0.1).toFixed(1);			//pour récupérer 1 decimale.
											}
											else {
												tabtab[k][z] = elem[z];
											}
										}
								}
							// Remplissage du tableau.
							rempli_Info();
						}
					}
			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}

			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Debut de la partie gérant l'affichage des données **********************************************************
			// Fonction d'initialisation des libellés des commandes
			function initLibelles() {
					$l("Libelle_annee").innerHTML = LIBELLE_ANNEE;
					$l("Libelle_mois").innerHTML = LIBELLE_MOIS;
			}

			// Fonction de création des lignes du tableau
			function ajouterLigne()
			{
				var tableau = document.getElementById("Tab_info_jour");
				// nombre de lignes dans la table (avant ajout de la ligne)
				for (var i = 0; i < 30; i++) {
					ligne = tableau.insertRow(-1); 			// création d'une ligne
					ligne.setAttribute("height","25");
					for (var j = 0; j < 10; j++) {
						cell = ligne.insertCell(0);
						cell.setAttribute("style","background-color:#0099CC");
					}
				}
			}
			
			// Fonction de remplissage du tableau des informations
			function rempli_Info()
			{
				m = 1*sessionStorage.getItem('nb_jour');							//Récupération de la longueur réelle du tableau.
				var arrayLignes = document.getElementById("Tab_info_jour").rows;
					for(var i = m; i >= 1; i--){
						for(var j = 0; j <=9 ; j++){
							arrayLignes[i-1].cells[j].innerHTML = tabtab[i][j];
						}
					}
					// efface les lignes restantes
					if (m < 31) {
						for(var i = (m); i <= 30; i++){
							for(var j = 0; j <=9 ; j++){
								arrayLignes[i].cells[j].innerHTML = "";
							}
						}
					}
			}
			
			// Fonction de traitement de vérification des informations année et mois.   
			function info_jour()
			{
				if (($l("Valeur_annee").value <= 2099) && ($l("Valeur_annee").value >= 2015)) {
					$l("Valeur_mois").value = ($l("Valeur_mois").value) * 1;
						if (($l("Valeur_mois").value <= 12) && ($l("Valeur_mois").value >= 1)) {
							annee_demande = $l("Valeur_annee").value.toString();
							if ($l("Valeur_mois").value < 10) mois_demande = '0' + $l("Valeur_mois").value.toString();
							else (mois_demande = $l("Valeur_mois").value.toString());	
							doSend('demande_jour');
						}
						else alert("Erreur dans le mois");
				}
				else alert("Erreur dans l'année");
			}
			
			// Fonction de traitement de l'envoi de la demande journalière.
			function doSend(message)
			{
				var envoi;
				if (message == 'demande_jour'){
					sessionStorage.setItem('nb_jour','0');
					envoi = '(' + IDENT_BOARD + ';' + 'DINJO' + ';' + annee_demande + ';' + mois_demande + ')';
					wssocket.send(envoi);					//chaine d'envoi de demande d'informations journalières.	
					window.console.log(envoi);				// POUR DEBUG
				}
			}
			
			// Fonction d'annulation de la saisie du mois demandé
			function annulation()
			{
				$("#Valeur_annee").val('????');
				$("#Valeur_mois").val('??');		
			}
			// ************************* Fin de la partie gérant l'affichage des données ************************************************************

			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP){
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP +')');			// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien(){
				document.location.href=lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id) {
  				return document.getElementById(id); // fonction '$' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);

		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Tab_Jour.png" alt="Titre tableau journalier">
		</div>
		<p></p>
		<!-- Tableau des informations de demande d'informations journalières -->
		<table id="Tab_demande">
			<tbody><tr>
				<td><div id="Libelle_annee"><br /></div></td>
				<td><input id="Valeur_annee" size="4" maxlength="4" value="????" type="text" /></td>
				<td><div id="Libelle_mois"><br /></div></td>
				<td><input id="Valeur_mois" size="2" maxlength="2" value="??" type="text" /></td>
				<td><input id="Validation_info_jour" value="Valider" onclick="info_jour()" type="button"/></td>
				<td><input id="Annulation_info_jour" value="Annuler la saisie" onclick="annulation()" type="button" /></td>
			</tr>
		</tbody></table>
		<br />
		<center><div id="Cont_info_jour">
			<table id="Grid_info_jour" border="1">
				<tr>
					<td>
						<table id="Tab_ent_info" border="1">
							<tr id="Tr_ent_info">
								<th id="Th_ent_1">date</th>
								<th class="Larg_elec">Cons. HC</th>
								<th class="Larg_elec">Cons. HP</th>
								<th class="Larg_elec">Index HC</th>
								<th class="Larg_elec">Index HP</th>
								<th class="Larg_temp">Te.Ext. Mini</th>
								<th class="Larg_temp">Te.Ext. Maxi</th>
								<th class="Larg_temp">Te.Int. Mini</th>
								<th class="Larg_temp">TE.Int. Maxi</th>
								<th>Compteur Eau</th>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<div id="Div_info_jour">
							<table id="Tab_info_jour" border="1" >
								<tr id="Tr_info">
									<td id="Td_info_1"></td>
									<td class="Larg_elec"></td>
									<td class="Larg_elec"></td>
									<td class="Larg_elec"></td>
									<td class="Larg_elec"></td>
									<td class="Larg_temp"></td>
									<td class="Larg_temp"></td>
									<td class="Larg_temp"></td>
									<td class="Larg_temp"></td>
									<td id="Td_eau"></td>
								</tr>
							</table>  
						</div>
					</td>
				</tr>
			</table>					
		</div></center>
		<br />
		<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        <center><div>
		<table id="Status_tab">
        	<tr>
            	<td class="Td_status">Status Connexion :</td>
                <td class="Td_status"><div id="WsConnect">connecté...</div></td>
            </tr>
       	</table>
		<p></p>
		<a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Retour.png" alt="Bouton Acceuil" /></a>
		</div></center>
	</body>
</html>