<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Volets.css" />
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">

			var urlCam2 = '';											// ip caméra 2
			var urlCam3 = '';											// ip caméra 3
			
			// ************************* Affichage Caméras ******************************************************************************************
			// displayWidth & displayHeight spécifient la largeur et la hauteur de l'image affichée.
			var displayWidth = "80%";
			var displayHeight = "60%";

			// This is the path to the image generating file inside the camera itself
			//var File = "axis-cgi/jpg/image.cgi?resolution=320x240&rotation=180";
			var file = "snapshot.cgi?user=admin&pwd=prinus";								// pour caméra wanscam

			// Force l'enregistrement immédiat de l'image
			var theTimer = setTimeout('reloadImage()', 1);

			function reloadImage()
			{
				theDate = new Date();
				var url1 = urlCam3;
				url1 += file;
				url1 += '&dummy=' + theDate.getTime().toString(10);
				var url2 = urlCam2;
				url2 += file;
				url2 += '&dummy=' + theDate.getTime().toString(10);
				// The dummy above enforces a bypass of the browser image cache
				// Here we load the image
				document.theImage1.src = url1;
				document.theImage2.src = url2;

				// Reload the image every ten seconds (2000 ms)
				theTimer = setTimeout('reloadImage()', 2000);
			}

			// *********************************** fin affichage caméra *****************************************************************************
			//
            // --------------- Variables globales de la Page_Volets.php du programme DomoMaison_2017 ------------------------------------------------
			var ipJ = '';												// ip de l'ordinateur appelant
			var wsArdu = '';											// adresse websocket de l'Arduino
			var lienPage;
			
			// Partie gérant le fonctionnement des volets
			var newsrc =['Volet_FS.png','Volet_FS.png','Volet_FS.png','Volet_FS.png','Volet_FS.png','Volet_FS.png','Volet_FS.png','Volet_FS.png'];
			var selectVol = ['N','N','N','N','N','N','N','N'];
			var voletSelect = 0;
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
            	$l("TextArea").value = "Aucune action en cours" + "\n";
				testWebSocket();
			}
			
 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;					// ordinateur appelant local
						urlCam2 = URL_CAM2_LOCAL;			
						urlCam3 = URL_CAM3_LOCAL;			
					}
					else {
						wsArdu = WS_ARDU_INTERNET;				// ordinateur appelant Internet
						urlCam2 = URL_CAM2_INTERNET;			
						urlCam3 = URL_CAM3_INTERNET;			
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
                $l("WsConnect").innerHTML = "Connecté...";
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
                wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';02)');								// envoi de la page en cours
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
                $l("WsConnect").innerHTML = "Déconnecté...";
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket=null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 									//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';											//type d'information reçue du serveur.
				var valeurRecue = '';											// valeur de l'information reçue du serveur
				var chaineRecue = evt.data.substring(1,evt.data.length-1);		// supprime les parenthèses en début et fin de chaine
				var tableau = chaineRecue.split(';');							// extrait les données
            	window.console.log(evt.data);									// pour DEBUG
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
				// tableau[2] correspondant au rang de l'information n'est pas utilisée dans cette page 
				valeurRecue = tableau[3];										
				// vérification de l'identifiant de la carte
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'MESSA')) {
						$l("Charge").style.visibility = "hidden";								// efface l'icone d'attente
              			$l("TextArea").value = $l("TextArea"). value + valeurRecue + "\n";
					}
 			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Debut de la partie gérant le fonctionnement des volets *****************************************************
			// Fonction qui bascule les sélections entre sélectionné ou non sélectionné
			function bascule(nomImage)
			{
				voletSelect = parseInt(nomImage.substr(7,2))-1;
				if (newsrc[voletSelect]  == "Volet_F.png") {
					document.images[nomImage].src = "Images/Volet_F.png";
					newsrc[voletSelect] = "Volet_FS.png";
					selectVol[voletSelect] = "N";
				} else {
					document.images[nomImage].src = "Images/Volet_FS.png";
					newsrc[voletSelect] = "Volet_F.png";
					selectVol[voletSelect] = "S";
				}
			}
			
			// Fonction d'envoi des ordres demandés
			function onClickButton(ordre)
			{ 										
				var ordreVol = "";													// Action demandée
				var envoi = "";														// message envoyé à la centrale
				var valPourcen = $l("Pourcen").value;								// Valeur de pourcentage d'ouverture ou de fermeture des volets
					if (valPourcen < 100) {											// Mise en forme sur 3 caractères
						valPourcen = "0" + valPourcen;
					}
				
				$l("Charge").style.visibility = "visible";							// affiche l'icone d'attente
				
					// Envoi avec ordre en chiffres, car la fonction switch de l'Arduino ne gère que les chiffres
					switch (ordre) {
						case "VOS":															// Ouvrir volets sélectionnés
							document.images['VOS'].src = "Images/Bouton_Ouvrir_Selection_2.png";
							$l("VOS").disabled = true;
							ordreVol = 'VOLET;01;' + valPourcen + ';';						// 1 pour demande d'ouverture des volets sélectionnés
								for (var i = 0; i < 8; i++) {
									ordreVol = ordreVol + selectVol[i];
								}						
							setTimeout(function(){document.images['VOS'].src = "Images/Bouton_Ouvrir_Selection.png"}, 500);
							$l("VOS").disabled=false;
							break;
						case "VOT":															// Ouvrir tous les volets
							document.images['VOT'].src="Images/Bouton_Ouvrir_Tout_2.png";
							$l("VOT").disabled=true;
							ordreVol = 'VOLET;02;' + valPourcen;							// 2 pour demande d'ouverture de tous les volets
							setTimeout(function(){document.images['VOT'].src="Images/Bouton_Ouvrir_Tout.png"}, 500);
							$l("VOT").disabled=false;
							break;
						case "VAS":															// Arrêt des volets sélectionnés
							document.images['VAS'].src="Images/Bouton_Arret_Selection_2.png";
							$l("VAS").disabled=true;
							ordreVol = 'VOLET;03;' + valPourcen + ';';							// 3 pour demande d'arrêt des volets sélectionnés
								for (var i = 0; i < 8; i++) {
									ordreVol = ordreVol + selectVol[i];
								}						
							setTimeout(function(){document.images['VAS'].src="Images/Bouton_Arret_Selection.png"}, 500);
							$l("VAS").disabled=false;
							break;
						case "VAT":															// Arrêt de tous les volets
							document.images['VAT'].src="Images/Bouton_Arret_Tout_2.png";
							$l("VAT").disabled=true;
							ordreVol = 'VOLET;04;' + valPourcen;							// 4 pour demande d'arrêt de tous les volets
							setTimeout(function(){document.images['VAT'].src="Images/Bouton_Arret_Tout.png"}, 500);
							$l("VAT").disabled=false;
							break;
						case "VFS":															// Fermeture des volets sélectionnés
							document.images['VFS'].src="Images/Bouton_Fermer_Selection_2.png";
							$l("VFS").disabled=true;
							ordreVol = 'VOLET;05;' + valPourcen + ';';						// 5 pour demande de fermeture des volets sélectionnés
								for (var i = 0; i < 8; i++) {
									ordreVol = ordreVol + selectVol[i];
								}						
								setTimeout(function(){document.images['VFS'].src="Images/Bouton_Fermer_Selection.png"}, 500);
							$l("VFS").disabled=false;
							break;
						case "VFT":															// Fermeture de tous les volets
							document.images['VFT'].src="Images/Bouton_Fermer_Tout_2.png";
							$l("VFT").disabled=true;
							ordreVol = 'VOLET;06;' + valPourcen;							// 6 pour demande defermeture de tous les volets
							setTimeout(function(){document.images['VFT'].src="Images/Bouton_Fermer_Tout.png"}, 500);
							$l("VFT").disabled=false;
							break;
						default:
					}
				envoi = '(' + IDENT_BOARD + ';' + ordreVol + ')';
				wssocket.send(envoi);
				window.console.log(envoi);								// pour DEBUG
			} // fin onclickButton
			
			// ************************* Fin de la partie gérant le fonctionnement des volets *******************************************************
			
			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); 	// fonction '$' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);

		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Volets.png" alt="Titre Volets" >
		</div>
		<p></p>
		<div id="Conteneur_GaucheV">
			<script language="javascript">
				document.write('<img name="theImage1" src="" height="' + displayHeight + '"');
				document.write('width="' + displayWidth + '" alt="Live image">');
				document.write('<img name="theImage2" src="" height="' + displayHeight + '"');
				document.write('width="' + displayWidth + '" alt="Live image">');
			</script>
			<p><br/></p>
			<a target="_blank" onclick='lienpageweb("Page_Parametres.php","11")'><img id="BParametres" src="Images/Bouton_Parametres.png" alt="Bouton Paramètres" /></a>
			<br/>
			<a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a>
		</div>
		<div id="Conteneur_Maison">
			<img id="Maison" src="Images/Maison.png" alt="Maison">
			<img id="Volet_01" src="Images/Volet_F.png" alt="Bouton Volet" onclick="bascule('Volet_01')">
			<img id="Volet_02" src="Images/Volet_F.png" alt="Bouton Volet" onclick="bascule('Volet_02')">
			<img id="Volet_03" src="Images/Volet_F.png" alt="Bouton Volet" onclick="bascule('Volet_03')">
			<img id="Volet_04" src="Images/Volet_F.png" alt="Bouton Volet" onclick="bascule('Volet_04')">
			<img id="Volet_05" src="Images/Volet_F.png" alt="Bouton Volet" onclick="bascule('Volet_05')">
			<img id="Volet_06" src="Images/Volet_F.png" alt="Bouton Volet" onclick="bascule('Volet_06')">
			<img id="Volet_07" src="Images/Volet_F.png" alt="Bouton Volet" onclick="bascule('Volet_07')">
			<img id="Volet_08" src="Images/Volet_F.png" alt="Bouton Volet" onclick="bascule('Volet_08')">
			<img id="Charge" src="Images/chargeur.gif" alt="Charge"/>
		</div>
		<div id="Conteneur_DroitV">
			<fieldset id="Champs_Pourcen">
				<legend>Pourcentage : </legend>
				<Select id ="Pourcen" name="Pourcen">
					<Option value="100"> 100 </Option>
					<Option value="80"> 80 </Option>
					<Option value="60"> 60 </Option>
					<Option value="40"> 40 </Option>
					<Option value="20"> 20 </Option>
				</Select>
			</fieldset>
			<img class="Ordre" id="VOS" src="Images/Bouton_Ouvrir_Selection.png" alt="bouton ouvrir selection" onclick="onClickButton('VOS')">
        	<img class="Ordre" id="VOT" src="Images/Bouton_Ouvrir_Tout.png" alt="Bouton Ouvrir Tout" onclick="onClickButton('VOT')">
			<p></p>
			<img class="Ordre" id="VAS" src="Images/Bouton_Arret_Selection.png" alt="Bouton Arret" onclick="onClickButton('VAS')">
			<img class="Ordre" id="VAT" src="Images/Bouton_Arret_Tout.png" alt="Bouton Arret" onclick="onClickButton('VAT')">
			<p></p>
			<img class="Ordre" id="VFS" src="Images/Bouton_Fermer_Selection.png" alt="Bouton Fermer Selection" onclick="onClickButton('VFS')">
			<img class="Ordre" id="VFT" src="Images/Bouton_Fermer_Tout.png" alt="Bouton Fermer Tout" onclick="onClickButton('VFT')">
			<p></p>
			<a target="_blank" onclick='lienpageweb("Page_ProgVolets.php","12")'><img class="Ordre" id="VPR" src="Images/Bouton_Prog_1.png" alt="Bouton Programmation" /></a>
			<p></p>
			<textarea class="Ordre" id="TextArea" rows="3" cols="30"></textarea>
		</div>
        <div id="Div_Status">
			<table>
        		<tbody><tr>
            		<td>Status Connexion :</td>
                	<td><div id="WsConnect">connecté...</div></td>
            	</tr></tbody>
       		</table>
		</div>
	</body>
</html>