<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Page_Clavier_P.css" media="screen">
		<link rel="stylesheet" type="text/css" href="css/secure/secure_11_2.css" media="screen">
		<script type="text/javascript" charset="utf-8" src="script/jquery-1.3.2.min.js"></script>
		<script type="text/javascript" language="JavaScript" SRC="script/secure_click.js"></script>
		<script type="text/javascript" charset="utf-8" src="script/DomoMaison_config.js"></script>
        <script type="text/javascript">
			// ******************************Début des fonctions WebSocket **************************************************************************
            
			// Fonction d'initialisation de la page
			$(document).ready(function()
			{
				recupIp();
				testWebSocket();
			});

 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				 ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9 )== '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;										// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;									// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
				wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';18)');								// envoi de la page en cours
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				//sessionStorage.removeItem('code_acces');
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
 				var identifiantRecu = 'XXXX';									// identifiant dans la trame reçue du serveur
				var typeRecu = 'XXXXX';											// type d'information reçue du serveur
				var valeurRecue = 'XXX';										// valeur de l'information reçue du serveur
				var chaineRecue = evt.data.substring(1,evt.data.length-1);		// supprime les parenthèses en début et fin de chaine
				var tableau = chaineRecue.split(';');							// extrait les données
				identifiantRecu = tableau[0];
				typeRecu=tableau[1];
				// vérification de l'identifiant de la carte
					if (identifiantRecu == IDENT_BOARD) {
						if (typeRecu == 'REACC') {								// vérification de l'autorisation d'accès
							valeurRecue = tableau[2];
							// test du code d'interdiction d'accès"
							if (valeurRecue == 'INT') {
								alert("Code erroné");
								$l("secuid10").value = "";
							}
							else if (valeurRecue == 'AUT') {
            					autorise = true;
								lienpageweb("Index_P.php","51")
							}
						}
					}
			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
            	$l("WsConnect").innerHTML = 'ERROR: ' + evt.data;
				sessionStorage.removeItem('code_acces');
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************
			
			function verifieCode(code)
			{
				// formatage de la chaine sur 4 caractères
				var longChaine = code.length;
					if (longChaine < 4) {
						for (var i = 0; i < (4 - longChaine); i++) {
							code = '0' + code;
						}
					}
					else if (longChaine > 4) {
						code = code.substring((longChaine - 4), longChaine);
					}
					
				sessionStorage.setItem('code_acces',code);
				wssocket.send('(' + IDENT_BOARD + ';' + 'ACCES' + ';' + sessionStorage.getItem('code_acces') + ')');	//chaine d'envoi de demande d'accès.	
			}

			//Fonction temporisée d'affichage de page après deconnexion du websocket.
			function lienpageweb(page, numP)
			{
				if (autorise == true) {
					wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
					//onClose();
					lienPage = page;
					setTimeout("golien()", TIMER_PAGE);
				}
    		}
			
    		// Fonction d'ouverture de la page demandée
			function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); 	// fonction '$' recherche l'element html par son 'id'
			}
			
		// --------------------------------------------- Fin javascript ---------------------------------------------------------------------------------
		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<center><img id="Image_Titre" src="Images/Titre_Acceuil.png" alt="Titre Acceuil" /></center>
		</div>
		<p></p>
		<div class='sgen'>
			<table id='secure'>
				<tr>
					<td class='divimage'>0</td>
					<td class='divimage'>0</td>
					<td class='divimage'>0</td>
					<td class='divimage'>0</td>
					<td class='divimage'>0</td>
				</tr>
				<tr>
					<td class='divimage'>0</td>
					<td class='divimage'>0</td>
					<td class='divimage'>0</td>
					<td class='divimage'>0</td>
					<td class='divimage'>0</td>
				</tr>
			</table>

			<input type='password' readonly='true' id='secuid10'/>

			<ul>
				<li><div onclick='ksecure.roze()'>corriger</div></li>
				<li><div onclick='verifieCode($l("secuid10").value)'>valider</div></li>
			</ul>
		</div>
		<p></p>
		<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        <div id="Status">
        	<table id="TabStatus">
        		<tr>
            		<th>Status Connexion :</th>
				</tr>
				<tr>
               	  	<td><div id="WsConnect">Déconnecté...</div></td>
				</tr>
				<tr>
                    <td><input id="InitCon" value="Re-init connexion" onclick="testWebSocket()" type="button" /> </td>
            	</tr>
       		</table>
		</div>
	</body>
</html>