<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Elec.css" />
		<script src="external/jquery/jquery.js"></script>
		<script src="external/jquery/jquery.flot.js"></script>
		<script src="external/jquery/jquery.flot.crosshair.js"></script>
    	<script language="javascript" type="text/javascript" src="widgets/Rgraph/RGraph.common.core.js" ></script>
    	<script language="javascript" type="text/javascript" src="widgets/Rgraph/RGraph.common.dynamic.js" ></script>
    	<script language="javascript" type="text/javascript" src="widgets/Rgraph/RGraph.common.effects.js" ></script>
    	<script language="javascript" type="text/javascript" src="widgets/Rgraph/RGraph.gauge.js" ></script>
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">
			
            // --------------- Variables globales de la Page_Electricite.php du programme DomoMaison_2017 ------------------------------------------------
			var ipJ = '';					// ip de l'ordinateur appelant
			var wsArdu = '';				// adresse websocket de l'Arduino
			var lienPage;
    		//
    		var p_inst1 = 0;
			var p_max1 = 0;
			var gPAPP_1 = 0;//pour affichage sur cadran
			//
			//tableau pour le graphique sur les dernières 48 heures
			var tab_hc = [[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]]; 
			var tab_hp = [[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]];
			var tab_temp_ext = [[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]];
			var tab_temp_int = [[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]];
			//
			// variables pour le calcul des objectifs
			var anneeEnreg = 0;								// Année enregistrée dans le fichier objectif
			var dateJour;									// date du jour
			var anneeCours = 0;								// Année encours
			var comElecHC = 0;								// Relevé du compteur électrique Heures Creuses au 01 janvier de l'année en cours
			var comElecHP = 0;								// Relevé du compteur électrique Heures Pleines au 01 janvier de l'année en cours
			var objElecHC = 0;								// Objectif de consommation électrique en heures creuses pour l'année en cours
			var objElecHP = 0;								// Objectif de consommation électrique en heures pleines pour l'année en cours
			var nbreJoursEJP =0;							// Nombre de jours EJP déjà écoulés
			var objConsoHC = 0;								// Objectif de consommation prévue le jour en cours (si jour Heures Creuses)
			var objConsoHP = 0;								// Objectif de consommation prévue le jour en cours (si jour Heures pleines ou EJP)
			var conso = 0;									// Consommation en cours
			
			var lScreen;									// largeur de l'écran
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
				creGauge();
				testWebSocket();
				initLibelle();
				lScreen=screen.width;
            }
			
 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;				// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;			// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
                wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';08)');		// envoi de la page en cours
				wssocket.send('(' + IDENT_BOARD + ';DPARA;08)');				// demande à la centrale d'envoyer les paramètres
				wssocket.send('(' + IDENT_BOARD + ';' + 'DDO48' + ')');			// demande à la centrale d'envoyer les données sur les 48 dernières heures
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 	//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';			//type d'information reçue du serveur.
				var rangRecu = 'XX';			// heures pour les données 48 heures
				var champRecu = 'XXXX';			// champ d'information reçu du serveur
				var valeurRecue = '0000';		//valeur dans la trame reçue du serveur.
				var compteur = 0;
				
            	window.console.log(evt.data);								// POUR DEBUG
				var chaineRecue = evt.data.substring(1, evt.data.length-1);
				var tableau = chaineRecue.split(';');
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'PARAM')) {
						rangRecu = tableau[2];
							if (rangRecu == '03') {
								chargeObjectifElec(chaineRecue);								// Chargement des données pour le calcul des objectifs
							}
					}
					//Vérification de l'identifiant de la carte pour le compteur consommation.
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'INTEL')){
						champRecu = tableau[3];
						valeurRecue = tableau[4];
						if (champRecu == 'ADCO'){
							// obj = document.getElementById('wsADCO_1');
							// obj.innerHTML = valeurRecue;			
						}			
						else if (champRecu == 'OPTARIF'){
							if (valeurRecue != '***') $l('Optarif').innerHTML = valeurRecue;
								else $l('Optarif').innerHTML = valeurRecue;
						}
						else if (champRecu == 'ISOUSC'){
							if (valeurRecue !='***') $l('Isousc').innerHTML= valeurRecue * 1 + ' A';	//pour supprimer les zéros en début de chaine.
								else $l('Isousc').innerHTML = valeurRecue;
						}
						else if (champRecu == 'HCHC'){
							if (valeurRecue != '***') {
								$l('Hchc').innerHTML = valeurRecue * 1;									//pour supprimer les zéros en début de chaine.
								compteur = parseInt(valeurRecue * 1);
								conso = compteur - comElecHC;
								$l('Objhc').innerHTML = conso;
								if (objConsoHC != 0) {
									definiCouleurObjectifHC();
								}
							}
							else {
								$l('Hchc').innerHTML = valeurRecue;
							}
						}
						else if (champRecu == 'HCHP'){
							if (valeurRecue !='***') {
								$l('Hchp').innerHTML = valeurRecue * 1;									//pour supprimer les zéros en début de chaine.
								compteur = parseInt(valeurRecue * 1);
								conso = compteur - comElecHP;
								$l('Objhp').innerHTML = conso;
								if (objConsoHP != 0) {
									definiCouleurObjectifHP();
								}
							}
							else {
								$l('Hchp').innerHTML= value_rec;
							}
						}
						else if (champRecu == 'EJPHN'){
							if (valeurRecue != '***') {
								$l('Hchc').innerHTML = valeurRecue * 1;									//pour supprimer les zéros en début de chaine.
								compteur = parseInt(valeurRecue * 1);
								conso = compteur - comElecHC;
								$l('Objhc').innerHTML = conso;
								if (objConsoHC != 0) {
									definiCouleurObjectifHC();
								}
							}
							else {
								$l('Hchc').innerHTML = valeurRecue;
							}
						}
						else if (champRecu == 'EJPHP'){
							if (valeurRecue != '***') {
								$l('Hchp').innerHTML = valeurRecue * 1;									//pour supprimer les zéros en début de chaine.
								compteur = parseInt(valeurRecue * 1);
								conso = compteur - comElecHP;
								$l('Objhp').innerHTML = conso;
								if (objConsoHP != 0) {
									definiCouleurObjectifHP();
								}
							}
							else {
								$l('Hchp').innerHTML = valeurRecue;
							}
						}
						else if (champRecu == 'IINST'){
							if (valeurRecue != '***') {
								$l('Iinst').innerHTML = valeurRecue * 1;								//pour supprimer les zéros en début de chaine.
								p_inst1 = valeurRecue * 220;
								$l('Pinst').innerHTML = p_inst1;
								gPAPP_1 = p_inst1;
							}
							else $l('Iinst').innerHTM = valeurRecue;
						}
						else if (champRecu == 'IMAX'){
							if (valeurRecue != '***') {
								$l('Imax').innerHTML = valeurRecue * 1;									//pour supprimer les zéros en début de chaine.
								p_max1 = valeurRecue * 220;
								$l('Pmax').innerHTML = p_max1;
							}
							else $l('Imax').innerHTML = valeurRecue;
						}
						else if (champRecu == 'PTEC'){
							if (valeurRecue != '***') {
								if (valeurRecue == 'HN..') {
									$l('Ptec').innerHTML = 'Heures normales';
									$l('Ptec').style.backgroundColor = 'green';						// Couleur Vert
								}
								else {
									$l('Ptec').innerHTML = 'Heures de pointe';
									$l('Ptec').style.backgroundColor = 'red';						// Couleur Rouge
								}
							}
							else {
								$l('Ptec').innerHTML = valeurRecue;
							}
						}
					}
					// Chargement des données sur les 48 dernières heures
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'EDO48')){						// réception des données sur 48 heures
						rangRecu = tableau[2];
						var heure_rec = tableau[3];
						var hc_rec = tableau[4];
						var hp_rec = tableau[5];
						var temp_ext = tableau[6] * 0.01;												//pour récupérer 2 decimale.
						temp_int = tableau[7]  *0.01;													//pour récupérer 2 decimale.
						//stockage dans le tableau pour les courbes.
						var temps = new Date();
						var heure = temps.getHours();
						temps.setHours(heure-rangRecu);
						tab_hc[47-rangRecu][0] = temps;
						tab_hc[47-rangRecu][1] = parseInt(hc_rec);
						tab_hp[47-rangRecu][0] = temps;
						tab_hp[47-rangRecu][1] = parseInt(hp_rec);
						tab_temp_ext[47-rangRecu][0] = temps;
						tab_temp_ext[47-rangRecu][1] = temp_ext;
						tab_temp_int[47-rangRecu][0] = temps;
						tab_temp_int[47-rangRecu][1] = temp_int;
							if (rangRecu == 47){
								afficheGraphe();
							}
					}
			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Debut de la partie gérant l'electricité ********************************************************************
			// Fonction d'initialisation des libellés
			function initLibelle()
			{
				dateJour = new Date();
				anneeCours = dateJour.getFullYear();							// Année en cours
            	$l("Text_Re1").innerHTML = "Objectif Consommation " + anneeCours + "(en Watts)";
			}
			
			//Fonction affichant le cadran avec la consommation istantannée d'électricité
			function creGauge()
			{
            	gauge = new RGraph.Gauge({
                	id: 'Gauge_2',
                	min:0,
                	max: 10,
                	value: 0,
                	options: {
                    	border: {
                       	 outline: 'transparent'
                    	},
                    	title: {
                        	top: 'Kws'
                    	},
                    	'colors.ranges': [[0,2,'#0f0'], [2,6,'yellow'],[6,10,'red']],
                    	labels: {
                        	offset: 7
                    	}
                	}
            	}).on('draw', function (obj)
            	{
               		var co = obj.context;
                	// This circle becomes the border of the centerpin
                	co.beginPath();
                    co.fillStyle = '#aaa';
                    co.arc(obj.centerx, obj.centery, 10, 0, RGraph.TWOPI, false);
					co.fill();
				})
            	.draw();
			}
			
			//Mise à jour des cadrans.
			setInterval(function() {
                gauge.value = gPAPP_1 / 1000;
                gauge.grow()
				}, 1000);

    
			// Fonction d'affichage du graphe sur 48 heures
			function afficheGraphe(evt)
			{  
				var plot;
				$(function () {
				plot = $.plot($("#placeholder"),
					[ { data: tab_temp_ext, label: "temp.ext = -00.00",color: TREND_COLOR_INT},
						{ data: tab_temp_int, label: "temp.int= -00.00",color: TREND_COLOR_EXT},
						{ data: tab_hc, label:  "heures creuses = 000000000", yaxis: 2 ,color: TREND_COLOR_HC},
						{ data: tab_hp, label:  "heures pleines = 000000000", yaxis: 2 ,color: TREND_COLOR_HP}
					], {
						series: {lines: { show: true },points: { show: true }},
						crosshair: { mode: "x" },
						grid: { hoverable: true, autoHighlight: false },
						xaxes: [{ mode: 'time',timeformat: "%H",ticks:24 }],
						yaxes: [{ min: -20 },{min: 0,position: "right"} ],
						//yaxes: { min: -20, max: 50},
						legend: { position: 'nw' }
					});
					var legends = $("#placeholder .legendLabel");
					legends.each(function () {
					// fix the widths so they don't jump around
					$(this).css('width', $(this).width());
				});
			
				var updateLegendTimeout = null;
				var latestPosition = null;
				//mise à jour des données de la légende.
				function updateLegend() {
				updateLegendTimeout = null;
							
				var pos = latestPosition;
							
				var axes = plot.getAxes();
				if (pos.x < axes.xaxis.min || pos.x > axes.xaxis.max ||
					pos.y < axes.yaxis.min || pos.y > axes.yaxis.max)
					return;

				var i, j, dataset = plot.getData();
				for (i = 0; i < dataset.length; ++i) {
					var series = dataset[i];

					// find the nearest points, x-wise
					for (j = 0; j < series.data.length; ++j)
						if (series.data[j][0] > pos.x)
							break;
								
					// now interpolate
					var y, p1 = series.data[j - 1], p2 = series.data[j];
						if (p1 == null)
							y = p2[1];
						else if (p2 == null)
						y = p1[1];
						else
							y = p1[1] + (p2[1] - p1[1]) * (pos.x - p1[0]) / (p2[0] - p1[0]);
							//Pour les courbes de température 2 décimales.
							if (i< 2) legends.eq(i).text(series.label.replace(/=.*/, "= " + y.toFixed(2) + " °C"));	
							else legends.eq(i).text(series.label.replace(/=.*/, "= " + y.toFixed(0) + " Wh"));
						}
					}
					//mise à jour des légendes.
					$("#placeholder").bind("plothover",  function (event, pos, item) {
						latestPosition = pos;
						if (!updateLegendTimeout)
							updateLegendTimeout = setTimeout(updateLegend, 50);
					});
				});
			}

			// Fonction de chargement des données nécessaires au calcul des objectifs
			function chargeObjectifElec(chaineObj)
			{
				var tempInt = 0;
				var tempReste = 0;
				
				var tableau = chaineObj.split(';');
				anneeEnreg = tableau[3];										// Année enregistrée dans le fichier objectif
				tempInt = parseInt(tableau[4]);
				tempReste = parseInt(tableau[5]);
				comElecHC = ((tempInt * 1000) + tempReste) * 1000;				// Relevé du compteur électrique Heures Creuses au 01 janvier de l'année en cours (en Watts)
				tempInt = parseInt(tableau[6]);
				tempReste = parseInt(tableau[7]);
				comElecHP = ((tempInt * 1000) + tempReste) * 1000;				// Relevé du compteur électrique Heures Pleines au 01 janvier de l'année en cours (en Watts)
				nbreJoursEJP = parseInt(tableau[8]);							// Nombre de jours EJP déjà écoulés
				objElecHC = parseInt(tableau[9]) * 1000;						// Objectif de consommation électrique en heures creuses pour l'année en cours (en Watts)
				objElecHP = parseInt(tableau[10]) * 1000;						// Objectif de consommation électrique en heures pleines pour l'année en cours (en Watts)
				// Calcul du pourcentage de consommation pour l'objectif des heures creuses
				var mois = dateJour.getMonth();
				var jour = dateJour.getDate();
				var pourcen = 0;
				var pourcenMois = 0;
					for (i = 0; i < mois; i++) {
						pourcen = pourcen + POURCEN_ELEC[i];
					}
				pourcenMois = (POURCEN_ELEC[mois] / 30) * jour;
				pourcen = pourcen + pourcenMois;
				objConsoHC = parseInt((objElecHC / 100) * pourcen);
					if (anneeCours != anneeEnreg) {
						alert("Objectifs non initialisés")
					}
				objConsoHP = parseInt((objElecHP / 22) * nbreJoursEJP);
			}
			
			// Fonction définissant la couleur pour l'affichage de la consommation électrique en cours en heures creuses
			function definiCouleurObjectifHC()
			{
				var ecart = conso - objConsoHC;
					if (ecart > 0) {
						$l('Ecarthc').innerHTML = "+" + ecart;
					}
					else {
						$l('Ecarthc').innerHTML = ecart;
					}
					if (ecart <= 0) {
						$l('Ecarthc').style.backgroundColor = 'green';														// Couleur Vert
					}
					else if ((ecart > 0) && (ecart <= DEPASS_ELEC_JAUNE_HC)) {
						$l('Ecarthc').style.backgroundColor = 'yellow';														// Couleur Jaune
					}
					else if ((ecart > DEPASS_ELEC_JAUNE_HP) && (ecart <= DEPASS_ELEC_ORANGE_HC)) {
						$l('Ecarthc').style.backgroundColor = 'orange';														// Couleur Orange
					}
					else if (ecart > DEPASS_ELEC_ORANGE_HC) {
						$l('Ecarthc').style.backgroundColor = 'red';														// Couleur Rouge
					}
			}
			
			// Fonction définissant la couleur pour l'affichage de la consommation électrique en heures pleines ou EJP
			function definiCouleurObjectifHP()
			{
				var ecart = conso - objConsoHP;
					if (ecart > 0) {
						$l('Ecarthp').innerHTML = "+" + ecart;
					}
					else {
						$l('Ecarthp').innerHTML = ecart;
					}
					if (ecart <= 0) {
						$l('Ecarthp').style.backgroundColor = 'green';														// Couleur Vert
					}
					else if ((ecart > 0) && (ecart <= DEPASS_ELEC_JAUNE_HP)) {
						$l('Ecarthp').style.backgroundColor = 'yellow';														// Couleur Jaune
					}
					else if ((ecart > DEPASS_ELEC_JAUNE_HP) && (ecart <= DEPASS_ELEC_ORANGE_HP)) {
						$l('Ecarthp').style.backgroundColor = 'orange';														// Couleur Orange
					}
					else if (ecart > DEPASS_ELEC_ORANGE_HP) {
						$l('Ecarthp').style.backgroundColor = 'red';														// Couleur Rouge
					}
			}
			
			// Fonction d'ouverture de la page avec le graphe
			function pop()
			{
				var leftW = (Lscreen - 1200)/2;
				window.open('page_Tableau_Jour.php','page_Tableau_Jour','height=700,width=1200,top=100,left='+leftW+',resizable=no');
			}
			// ************************* Fin de la partie gérant l'electricité **********************************************************************
			
			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');			// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien(){
				document.location.href=lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id) {
  				return document.getElementById(id); // fonction '$l' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);

		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Elec.png" alt="Titre Electricité" />
		</div>
		<p></p>
		<div id="Conteneur_GaucheE">
        	<table id="Contrat">
            	<tr>
            		<td class="Td_Edf">Contrat souscrit :</td>
                	<td class="Td_Edf"><div id="Optarif"></div></td>
                	<td class="Td_Edf"><div id="Isousc"></div></td>
              	</tr>
                <tr>
                	<td class="Td_Edf">Conso. en cours :</td>
                    <td class="Td_Edf" colspan="2"><div id="Ptec"></div></td>
              	</tr>
            </table>
            <div>
    			<canvas id="Gauge_2" width="250" height="250"></canvas>
            </div>
            <table id="Conso">
            	<tr>
                	<td class="Td_Edf"></td>
                    <td class="Td_Edf">Ampères</td>
                    <td class="Td_Edf">Watts</td>
              	</tr>
            	<tr id="Separ1">
                	<td class="Td_Edf">Conso. instantanée</td>
                    <td class="Td_Edf"><div id="Iinst"></div></td>
                    <td class="Td_Edf"><div id="Pinst"></div></td>
              	</tr>
            	<tr>
                	<td class="Td_Edf">Conso. maximale</td>
                    <td class="Td_Edf"><div id="Imax"></div></td>
                    <td class="Td_Edf"><div id="Pmax"></div></td>
              	</tr>
            </table>
            <table id="Releve">
            	<tr>
                	<td class="Td_Edf" colspan="3"><div id="Text_Re1">Objectif Consommation</div></td>
                </tr>
                <tr>
                    <td class="Td_Edf"></td>
                    <td class="Td_Edf"><div id="Text_Re2">Heures creuses</div></td>
                    <td class="Td_Edf"><div id="Text_Re3">Heures pleines</div></td>
                </tr>    
                <tr id="Separ2">
                    <td class="Td_Edf"><div id="Text_Re4">Compteur</div></td>
                    <td class="Td_Edf"><div id="Hchc"></div></td>
                    <td class="Td_Edf"><div id="Hchp"></div></td>
                </tr>    
                <tr>
                    <td class="Td_Edf"><div id="Text_Re5">Conso.</div></td>
                    <td class="Td_Edf"><div id="Objhc"></div></td>
                    <td class="Td_Edf"><div id="Objhp"></div></td>
                </tr>    
                <tr>
                    <td class="Td_Edf"><div id="Text_Re6">Ecart</div></td>
                    <td class="Td_Edf"><div id="Ecarthc"></div></td>
                    <td class="Td_Edf"><div id="Ecarthp"></div></td>
                </tr>    
            </table>    
            <div id="Separ3"></div>
            <div>
				<div id="Cont_Acceuil">
					<a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a>
				</div>
				<div>
					<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
					<table id="Status">
						<tr>
							<td class="Td_Status">Status Connexion :</td>
							<td class="Td_Status"><div id="WsConnect">connecté...</div></td>
						</tr>
					</table>
				</div>
			</div>
     	</div>
		<div id="Conteneur_DroitE">
			<div id="Cont_Graphe">
				<div id="Titre_Graphe">Graphique des 48 dernières heures</div>
				<p></p>
				<div id="placeholder"></div>
			</div>
			<p></p>
			<div>
				<center><a href="#" onclick='lienpageweb("Page_Tableau_Jour.php","13")'><img id="BTabJour" src="Images/Bouton_Tab_Jour.png" alt="Bouton Tableau journalier" /></a></center>
			</div>
        </div>
	</body>
</html>