<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Journal_Alarme.css" />
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">
			
		// --------------- Variables globales de la Page_Journal_Alarme.php du programme DomoMaison_2017 --------------------------------------------
			var ipJ = '';						// ip de l'ordinateur appelant
			var wsArdu = '';					// adresse websocket de l'Arduino
			var lienPage;
			var nPage = '';						// numéro de la page transmis dans l'url
			var pointeur_action = 0;
			var valeurs_action = 0;
			var valeur_nb_action = 0;
			var tabtab = new Array(new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4), new Array(4));
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
				testWebSocket();
				sousTitre();
				ajouterLigne();
				sessionStorage.setItem('nb_action',0);
            }

 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;				// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;			// ordinateur appelant Internet
					}
				<?php $page=$_GET['page']; ?>
				nPage = '<?php echo $page; ?>' ;
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
				switch (nPage) {
					case "15":
						wssocket.send('(' + IDENT_BOARD + ';DJOAL;15)');				// demande d'envoi du journal de fonctionnement de l'alarme
						wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';15)');		// envoi de la page en cours
					break;
					case "16":
						wssocket.send('(' + IDENT_BOARD + ';DJOAL;16)');				// demande d'envoi du journal des déclenchements des contacteurs d'ouverture
						wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';16)');		// envoi de la page en cours
					break;
					case "17":
						wssocket.send('(' + IDENT_BOARD + ';DJOAL;17)');				// demande d'envoi du journal des déclenchements des détecteurs infra-rouges
						wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';17)');		// envoi de la page en cours
					break;
				}
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket = null;
			}
			
			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 			//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';					//type d'information reçue du serveur.
				var valeurRecue = '';					//valeur dans la trame reçue du serveur.
				var pointeur;
				var chaineRecue = evt.data.substring(1, evt.data.length-1);
				//window.console.log(chaine_rec);			// POUR DEBUG
				var tableau = chaineRecue.split(';');
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
				//Vérification de l'identifiant de la carte.
					if (identifiantRecu == IDENT_BOARD){
						// Test du type d'informations reçues.
							// Test du code fichier inexistant.
							if (typeRecu == 'NFIJO'){ 
								alert("Aucun déclenchement");
							}
							//Test du type trame d'informations de l'alarme.
							else if (typeRecu == 'JOUAL'){
								//stockage dans le localstorage du nombre d'action.
								valeur_nb_action = 1 + (1*sessionStorage.getItem('nb_action'));
								sessionStorage.setItem('nb_action',valeur_nb_action.toString());
								//stockage dans le localstorage de chaque trame reçue avec une clé.
								pointeur_action = 'a' + valeur_nb_action;
								valeurs_action = chaineRecue.substr(11,32);
								sessionStorage.setItem(pointeur_action,valeurs_action);
							}
							//Test du type trame de fin des informations de l'alarme.
							else if (typeRecu == 'FINJO'){
								//récupération du nombre d'actions renseigné
								var n = sessionStorage.getItem('nb_action');
								//création de la zone table
									for (var k = 1; k <=n ;k++){
										//calcul du pointeur
										pointeur_action ='a' + k;
										var chaine_inter = sessionStorage.getItem(pointeur_action);
										var elem = chaine_inter.split(';');
										tabtab[k][0] = k;
											for (var z=0; z<3; z++){
												tabtab[k][z+1] = elem[z];
											}
									}
								// Remplissage du tableau.
								rempli_Info();
							}
					}
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'MESSA')) {
						valeurRecue = tableau[3];
						alert(valeurRecue);
					}
			}
			
			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Début de la partie gérant les journaux des alarmes *********************************************************
			// Fonction de définition du sous-titre
			function sousTitre()
			{
				switch (nPage) {
					case "15":
					$l("Sous_Titre").innerHTML = "Journal des mise en fonctionnement de l'alarme";
					break;
					case "16":
					$l("Sous_Titre").innerHTML = "Journal des déclenchements des contacteurs d'ouverture";
					break;
					case "17":
					$l("Sous_Titre").innerHTML = "Journal des déclenchements des détecteurs infra-rouges";
					break;
				}
			}

			// Fonction de création des lignes du tableau
			function ajouterLigne()
			{
				var tableau = document.getElementById("Tab_Info_Jour");
				// nombre de lignes dans la table (avant ajout de la ligne)
				for (var i = 0; i < 30; i++) {
					ligne = tableau.insertRow(-1); 							// création d'une ligne
					ligne.setAttribute("height","25");
					for (var j = 0; j < 4; j++) {
						cell = ligne.insertCell(0);
						cell.setAttribute("style","background-color:#0099CC");
					}
				}
			}
			
			// Fonction de remplissage du tableau des informations
			function rempli_Info()
			{
				var mode_acti;
				m = 1*sessionStorage.getItem('nb_action');							//Récupération de la longueur réelle du tableau.
				var arrayLignes = document.getElementById("Tab_Info_Jour").rows;
					for(var i = m; i >= 1; i--){
						for(var j = 0; j <=2 ; j++){
							arrayLignes[i-1].cells[j].innerHTML = tabtab[i][j];
						}
						switch (nPage) {
							case "15":
								mode_acti = tabtab[i][3];
									switch (mode_acti) {
										case "OF":
											arrayLignes[i-1].cells[3].innerHTML = "Désactivation alarme";
											break;
										case "ON":
											arrayLignes[i-1].cells[3].innerHTML = "Activation alarme";
											break;
										case "OS":
											arrayLignes[i-1].cells[3].innerHTML = "Activation alarme (Sil.)";
											break;
									}
								break;
							case "16":
								var nb = parseInt(tabtab[i][3]); 
								arrayLignes[i-1].cells[3].innerHTML = LIBELLE_CONTACT[nb + 1];
								break;
							case "17":
								var nb = parseInt(tabtab[i][3]); 
								arrayLignes[i-1].cells[3].innerHTML = LIBELLE_DETECT[nb + 1];
								break;
						}
					}
					// efface les lignes restantes
					if (m < 31) {
						for(var i = (m); i <= 30; i++){
							for(var j = 0; j <=3 ; j++){
								arrayLignes[i].cells[j].innerHTML = "";
							}
						}
					}
			}
			
			// Fonction d'effacement des journaux historique de l'alarme
			function effaceJournal(nbre)
			{
				var envoi;
				
					if (nbre == "un") {
						switch (nPage) {
							case "15":
								envoi = '(' + IDENT_BOARD + ';EFJOA;MO)';				// demande d'effacement du journal des activations alarme
								break;
							case "16":
								envoi = '(' + IDENT_BOARD + ';EFJOA;CO)';				// demande d'effacement du journal des déclenchement des contacteurs de l'alarme
								break;
							case "17":
								envoi = '(' + IDENT_BOARD + ';EFJOA;DE)';				// demande d'effacement du journal des déclenchement des détecteurs IR de l'alarme
								break;
						}
					}
					else if (nbre == "tous") {
						envoi = '(' + IDENT_BOARD + ';EFJOA;TO)';						// demande d'effacement de tous les journaux de l'alarme
					}
											
				wssocket.send(envoi);													// envoi de la demande d'effacement
				window.console.log(envoi);												// POUR DEBUG

				// effacement des lignes du tableau
				var arrayLignes = document.getElementById("Tab_Info_Jour").rows;
					for (var i = 0; i < 30; i++) {
						for(var j = 0; j <=3 ; j++){
							arrayLignes[i].cells[j].innerHTML = "";
						}
					}
			}
			// ************************* Fin de la partie gérant les journaux des alarmes ***********************************************************
			
			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');				// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien(){
				document.location.href=lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id) {
  				return document.getElementById(id); // fonction '$' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);
			
		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Journal.png" alt="Titre Journal" />
		</div>
		<br />
		<div id="Sous_Titre"></div>
		<br />
		<center><div id="Cont_Journal">
			<table id="Grid_Journal" border="1">
				<tr>
					<td>
						<table id="Tab_Ent_Jour" border="1">
							<tr id="Tr_Ent_Jour">
								<th id="Th_Ent_1">N°</th>
								<th id="Th_Ent_2">date</th>
								<th id="Th_Ent_3">heure</th>
								<th id="Th_Ent_4">désignation</th>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<div id="Div_Info_Jour">
							<table id="Tab_Info_Jour" border="1" >
								<tr id="Tr_Info">
									<td id="Td_Info_1"></td>
									<td id="Td_Info_2"></td>
									<td id="Td_Info_3"></td>
									<td id="Td_Info_4"></td>
								</tr>
							</table>  
						</div>
					</td>
				</tr>
			</table>					
		</div></center>
		<br />
		<div id="Efface1"><button id="BoutonE1" onclick="effaceJournal('un')">Effacer le journal affiché</button></div>
		<div id="Efface2"><button id="BoutonE2" onclick="effaceJournal('tous')">Effacer tous les journaux</button></div>
		<div id="DivRetour">
			<center><a target="_blank" onclick='lienpageweb("Page_Alarme.php","07")'><img id="BRetour" src="Images/Bouton_Retour.png" alt="Bouton Retour" /></a></center>
		</div>
		<br />
		<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        <div id="Status">
			<center><table id="Status_Tab">
				<tr>
					<td class="Td_Status">Status Connexion :</td>
					<td class="Td_Status"><div id="WsConnect">connecté...</div></td>
				</tr>
			</table><center>
		</div>
	</body>
</html>