/* Fichier de configuration de l'interface DomoMaison_2017
Version 1.70 du 03-10-2017 */

var Ident = 0;
var ua = navigator.userAgent;

var x = ua.indexOf("MSIE");
	if (x == -1)
	{
		x = ua.indexOf("Firefox");
			if (x != -1) {
				Ident = 1;
			}
	}
    if(x == -1)
    {
		x = ua.indexOf("Chrome");
			if (x != -1) {
				Ident = 1;
			}
	}
	
// Adresse ip et port Ethernet de la carte Arduino
// const WS_ARDU_LOCAL = "ws://169.254.99.63:1050/";   				// ip pour utilisation avec cable RJ45 croisé
const WS_ARDU_LOCAL = "ws://192.168.1.180:1050";					// ip Local pour fonctionnement normal
const WS_ARDU_INTERNET = "ws://xxxxxxxxx.noip.me:1050";				// ip Internet pour fonctionnement normal

// Adresses IP des différentes caméras
const URL_CAM1_LOCAL = "http://192.168.1.xxx:1030/";				// ip local Camera Axis 210 dirigée vers jardin				
const URL_CAM2_LOCAL = "http://192.168.1.xxx:1031/";				// ip local Camera Wanscam dirigée sur l'arrière de la maison 
const URL_CAM3_LOCAL = "http://192.168.1.xxx:1032/";				// ip local Camera Wanscam dirigée sur le devant de la maison 
const URL_CAM4_LOCAL = "http://192.168.1.xxx:1033/";				// ip local Camera szsinucam dirigée vers les portes de garage
var URL_CAM5_LOCAL; 
	if (Ident == 0) {
		URL_CAM5_LOCAL = "http://192.168.1.xxx:1034/";		// ip local Camera dahua dirigée vers le portail
	}
	else {
		URL_CAM5_LOCAL = "http://admin:xxxxxx@192.168.1.xxx:1034/";		
	}
const URL_CAM2_INTERNET = "http://xxxxxxxxx.noip.me:1031/";			// ip local Camera Wanscam dirigée sur l'arrière de la maison 
const URL_CAM3_INTERNET = "http://xxxxxxxxx.noip.me:1032/";			// ip local Camera Wanscam dirigée sur le devant de la maison 
const URL_CAM4_INTERNET = "http://xxxxxxxxx.noip.me:1033/";			// ip local Camera Swsinucam dirigée vers les portes de garage 
var URL_CAM5_INTERNET;
	if (Ident == 0) {
		URL_CAM5_INTERNET = "http://xxxxxxxxx.noip.me:1034/";	// ip local Camera Dahua dirigée vers le portail 
	}
	else {
		URL_CAM5_INTERNET = "http://admin:xxxxxx@xxxxxxxxx.noip.me:1034/";	
	}

// Identifiant de la carte Arduino
const IDENT_BOARD = 'ME01';						// Cet identifiant doit être identique à celui mentionné dans le programme embarqué (fichier de configuration de programme *.ino);
const MOT_PASSE = '1234';						// code d'accès à la carte Arduino

// Timer entre les changements de pages Web en Websockets.
const TIMER_PAGE = 1000; 							// ATTENTION réglage sensible suivant les navigateurs (ne pas modifier)..						

// ************************************* Configuration des pages ************************************************************************************
// Libellés des pièces pour affichage des températures
const LIBELLE_PIECE = ['','Extérieur','Cuisine Séjour','Chambre 1','Bureau','Salle de bains','Chambre 2','Buanderie', 'Couloir', 'Chambre 3','Mezzanine',"Salle d'eau",'Chambre 4','Grenier','Libre','Libre'];
// libellés des radiateurs
const LIBELLE_RADIA = ['','Cuisine Séjour','Chambre 1','Bureau','Salle de bains','Chambre 2','Buanderie', 'Couloir', 'Chambre 3',"Salle d'eau",'Chambre 4','Grenier'];
// libelle de rapartition des zones de chauffage par rapport aux pièces
const LIBELLE_ZONE = ['','1','2','3','4','5','6','7','','','','','','','','']
// Libellés des boitiers commandés à distance
const LIBELLE_CMD = ['Lampe suspendue salle à manger','Libre','Libre','Libre','Libre','Libre','Libre','Libre','Libre','Libre'];
// Libellés des emplacements des contacteurs d'ouverture
const LIBELLE_CONTACT = ['', 'Porte Abri de jardin', 'porte service garage', 'libre', 'Libre', 'Libre', 'Libre', 'Libre', 'Libre', 'Libre', 'Libre',];
const NUM_ZONEC = ['','3','3','','','','','','','',''];
const LIBELLE_DETECT = ['', 'Intérieur couloir','Salle à manger - Salon', 'Extérieur Devant Maison', 'Libre', 'Libre', 'Libre', 'Libre', 'Libre', 'Libre', 'Libre',];
const NUM_ZONED = ['','1','1','2','','','','','','',''];
//
// Couleur des courbes de tendances.
const TREND_COLOR_EXT = '#2EFE2E';					//couleur de la courbe de la température extérieure.
const TREND_COLOR_INT = '#FF00FF';					//couleur de la courbe de la température intérieure.
const TREND_COLOR_HC = '#FE9A2E';						//couleur de la courbe Heures creuses.
const TREND_COLOR_HP = '#DF013A';						//couleur de la courbe Heures Pleines.
// Libellés des noms des informations affichées dans les cases du tableau de demande d'informations journalières .  
const LIBELLE_ANNEE = 'Ann&eacute;e (2016..20xx)';
const LIBELLE_MOIS = ' Num&eacute;ro du Mois (1..12)';

// *********************************************** Paramètres pour les objectifs de consommation électrique et eau
const POURCEN_ELEC = [13,13,12,6,5,5,5,5,5,7,12,12];	// Pourcentage de consommation éléctrique en heures creuses par mois
const DEPASS_ELEC_JAUNE_HC = 50000;						// valeur où la consommation électrique passe en jaune en heures creuses
const DEPASS_ELEC_ORANGE_HC = 100000;					// valeur où la consommation électrique passe en orange en heures creuses
const DEPASS_ELEC_JAUNE_HP = 10000;						// valeur où la consommation électrique passe en jaune en heures creuses
const DEPASS_ELEC_ORANGE_HP = 50000;					// valeur où la consommation électrique passe en orange en heures creuses
